package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;
import java.util.Set;

import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.biz.exam.model.MarkerClass;

public interface MarkerClassService {

    MarkerClass save(MarkerClass m);

    List<MarkerClass> findByMarkerId(int markerId);

    long countByMarkerId(int markerId);
    
    void deleteByMarkerId(int markerId);

    void save(Marker marker, String[] classesModel);
    
    Set<String> findClassNameByMarkerId(int markerId);

}
